IWLIST.py(8)

NAME
iwlist.py - Get more detailed wireless information from a wireless interface via Python

SYNOPSIS
iwlist.py [interface]
iwlist.py [interface] scanning
iwlist.py [interface] frequency
iwlist.py [interface] rate
iwlist.py [interface] keys
iwlist.py [interface] power
iwlist.py [interface] txpower
iwlist.py [interface] retry
iwlist.py [interface] event
iwlist.py [interface] auth
iwlist.py [interface] wpakeys
iwlist.py [interface] genie
iwlist.py [interface] modulation
iwlist.py --help
iwlist.py --version

DESCRIPTION
iwlist.py is a drop-in replacement for iwlist(8), but uses the pythonwifi module to implement its functionality in pure Python. See the iwlist(8) man page for more detail about what iwlist.py can do.

The compatitibilty of specific operations iwlist.py has with iwlist(8) are listed below.

COMPATIBILITY

scanning

    Essentially the same as iwlist(8), but with a possible different line order in the results and probably less information per AP.

frequency

    Not working, but it should be.

rate

    Probably as unreliable as iwlist(8).

keys

    Very close to the same output.

power

    Close, but not well tested.

txpower

    Not working.

retry

    Very close to the same output.

event

    Not working.

auth

    Not working.

wpakeys

    Not working.

genie

    Not working.

modulation

    Not working.

AUTHOR
Sean Robinson - seankrobinson@gmail.com

COPYRIGHT
Portions Copyright 1996-2006 Jean Tourrilhes
Copyright 2004-2005 Roman Joost
Copyright 2009 Sean Robinson

FILES
/proc/net/dev, /proc/net/wireless

SEE ALSO
iwlist(8), iwconfig.py(8),